Bug 1436937 - gnome-shell-extension-freon scriptlets sending output and trying to be interactive
Summary: gnome-shell-extension-freon scriptlets sending output and trying to be intera...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extension-freon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew Toskin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-29 03:31 UTC by Kevin Fenzi
Modified: 2017-04-15 02:49 UTC (History)
1 user (show)

Fixed In Version: gnome-shell-extension-freon-23-4.fc26 gnome-shell-extension-freon-23-4.fc25 gnome-shell-extension-freon-23-4.fc24 gnome-shell-extension-freon-23-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:04:18 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2017-03-29 03:31:29 UTC
gnome-shell-extension-freon has:

postinstall scriptlet (using /bin/sh):
/usr/sbin/sensors-detect --auto

Unfortunately, this spews a gigantic block of text to stdout when upgrading the package. Also, at the end it has: 

Do you want to overwrite /etc/sysconfig/lm_sensors? (YES/no): 

There's no guideline here, but by convention rpm packages shouldn't print things to stdout on updates (many rpm updates are unattended and no one would see it anyhow), also you might want to make sure it always exits 0 so the package transaction doesn't break, possibly by adding

> /dev/null 2>&1 || :

to the end of the scriptlet in the spec file.

Comment 1 Andrew Toskin 2017-03-29 07:45:45 UTC
Oops! I'd written that scriptlet (without redirects) while trying to decide whether to include it at all. I did not mean to actually commit it to the package. Thanks for pointing this out!

Comment 2 Andrew Toskin 2017-03-29 08:09:03 UTC
Pushed to CGit.

  http://pkgs.fedoraproject.org/cgit/rpms/gnome-shell-extension-freon.git/commit/?id=6269f215a0303b1dac5a7be45ed3c220085e769d

Currently building version 23-4 on Koji.

  https://koji.fedoraproject.org/koji/packageinfo?packageID=23972

I'll submit updates to Bodhi as soon as I can.

Comment 3 Fedora Update System 2017-03-29 21:54:37 UTC
gnome-shell-extension-freon-23-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c4da7f3ce

Comment 4 Fedora Update System 2017-03-29 21:54:46 UTC
gnome-shell-extension-freon-23-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-72c489ec6f

Comment 5 Fedora Update System 2017-03-29 21:54:55 UTC
gnome-shell-extension-freon-23-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-26d9463a92

Comment 6 Fedora Update System 2017-03-29 21:55:05 UTC
gnome-shell-extension-freon-23-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a336c1fef3

Comment 7 Fedora Update System 2017-03-30 18:52:53 UTC
gnome-shell-extension-freon-23-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-26d9463a92

Comment 8 Fedora Update System 2017-03-31 03:19:28 UTC
gnome-shell-extension-freon-23-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72c489ec6f

Comment 9 Fedora Update System 2017-03-31 03:21:42 UTC
gnome-shell-extension-freon-23-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c4da7f3ce

Comment 10 Fedora Update System 2017-03-31 03:48:28 UTC
gnome-shell-extension-freon-23-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a336c1fef3

Comment 11 Fedora Update System 2017-04-04 16:04:18 UTC
gnome-shell-extension-freon-23-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-09 02:53:29 UTC
gnome-shell-extension-freon-23-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-04-09 10:19:23 UTC
gnome-shell-extension-freon-23-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-04-15 02:49:25 UTC
gnome-shell-extension-freon-23-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.